Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.stree
Class DocumentImpl

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.stree.Child
                  |
                  +--org.apache.xalan.stree.Parent
                        |
                        +--org.apache.xalan.stree.DocumentImpl

Direct Known Subclasses:
  DocumentFragmentImpl, IndexedDocImpl

public class DocumentImpl
extends Parent

Method Summary
`Node` | `appendChild(Node newChild)` Append a child to the child list.
`Attr` | `createAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` Unimplemented.
`CDATASection` | `createCDATASection(java.lang.String data)` Create a CDATASection node.
`Comment` | `createComment(java.lang.String data)` Create a Comment node.
`DocumentFragment` | `createDocumentFragment()` Create a DocumentFragment.
`Element` | `createElement(java.lang.String tagName)` Unimplemented.
`Element` | `createElementNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` Unimplemented.
`ProcessingInstruction` | `createProcessingInstruction(java.lang.String target, java.lang.String data)` Create a ProcessingInstruction node.
`Text` | `createTextNode(java.lang.String data)` Create a Text node.
`DocumentType` | `getDoctype()` For XML, this provides access to the Document Type Definition.
`Element` | `getDocumentElement()` Convenience method, allowing direct access to the child node which is considered the root of the actual document content.
`Element` | `getElementById(java.lang.String elementId)` Given an ID, return the element.
`java.util.Hashtable` | `getIDAttributes()`
`LevelIndexer` | `getLevelIndexer()`
`java.lang.String` | `getLocalName()` Returns the local part of the qualified name of this node.
`java.lang.String` | `getNodeName()` Returns the node name.
`short` | `getNodeType()` Returns the node type.
`boolean` | `getUseMultiThreading()` Tell whether or not the tree being built should handle transformation while the parse is still going on.
`Node` | `importNode(Node importedNode, boolean deep)` Unimplemented right now, but I should probably implement.
`void` | `setIDAttribute(java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String value, Element elem)`
`void` | `setUseMultiThreading(boolean b)` Set whether or not the tree being built should handle transformation while the parse is still going on.

Methods inherited from class org.apache.xalan.stree.Parent
`getChild, getChildCount, getChildUID, getFirstChild, getLastChild, hasChildNodes, isComplete, setComplete`

Methods inherited from class org.apache.xalan.stree.Child
`getAttributes, getChildPosition, getLevel, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, getUid, isNamespaceNode, setAttribute, setLevel, supports`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createAttribute, createEntityReference, deleteData, error, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLength, getNodeValue, getOwnerElement, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, insertBefore, insertData, item, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLevelIndexer

    public LevelIndexer getLevelIndexer()

### getDoctype

    public DocumentType getDoctype()

  For XML, this provides access to the Document Type Definition. For HTML documents, and XML documents which don't specify a DTD, it will be null.
  Overrides:
    getDoctype in class UnImplNode

### setUseMultiThreading

    public void setUseMultiThreading(boolean b)

  Set whether or not the tree being built should handle transformation while the parse is still going on.

### getUseMultiThreading

    public boolean getUseMultiThreading()

  Tell whether or not the tree being built should handle transformation while the parse is still going on.

### getDocumentElement

    public Element getDocumentElement()

  Convenience method, allowing direct access to the child node which is considered the root of the actual document content.
  Overrides:
    getDocumentElement in class UnImplNode

### getIDAttributes

    public java.util.Hashtable getIDAttributes()

### setIDAttribute

    public void setIDAttribute(java.lang.String namespaceURI,
                               java.lang.String qualifiedName,
                               java.lang.String value,
                               Element elem)

### appendChild

    public Node appendChild(Node newChild)
                     throws DOMException

  Append a child to the child list.
  Parameters:
    `newChild` - Must be a org.apache.xalan.stree.Child.
  Throws:
    java.lang.ClassCastException - if the newChild isn't a org.apache.xalan.stree.Child.
  Overrides:
    appendChild in class Parent

### getNodeType

    public short getNodeType()

  Returns the node type.
  Overrides:
    getNodeType in class UnImplNode

### getNodeName

    public java.lang.String getNodeName()

  Returns the node name.
  Overrides:
    getNodeName in class UnImplNode

### getLocalName

    public java.lang.String getLocalName()

  Returns the local part of the qualified name of this node.
  For nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, it is `null`.
  Overrides:
    getLocalName in class Child
  Since:
    DOM Level 2

### createElement

    public Element createElement(java.lang.String tagName)
                          throws DOMException

  Unimplemented.
  Overrides:
    createElement in class UnImplNode

### createDocumentFragment

    public DocumentFragment createDocumentFragment()

  Create a DocumentFragment.
  Overrides:
    createDocumentFragment in class UnImplNode

### createTextNode

    public Text createTextNode(java.lang.String data)

  Create a Text node.
  Overrides:
    createTextNode in class UnImplNode

### createComment

    public Comment createComment(java.lang.String data)

  Create a Comment node.
  Overrides:
    createComment in class UnImplNode

### createCDATASection

    public CDATASection createCDATASection(java.lang.String data)
                                    throws DOMException

  Create a CDATASection node.
  Overrides:
    createCDATASection in class UnImplNode

### createProcessingInstruction

    public ProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                             java.lang.String data)
                                                      throws DOMException

  Create a ProcessingInstruction node.
  Overrides:
    createProcessingInstruction in class UnImplNode

### importNode

    public Node importNode(Node importedNode,
                           boolean deep)
                    throws DOMException

  Unimplemented right now, but I should probably implement.
  Overrides:
    importNode in class UnImplNode

### createElementNS

    public Element createElementNS(java.lang.String namespaceURI,
                                   java.lang.String qualifiedName)
                            throws DOMException

  Unimplemented.
  Overrides:
    createElementNS in class UnImplNode

### createAttributeNS

    public Attr createAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String qualifiedName)
                           throws DOMException

  Unimplemented.
  Overrides:
    createAttributeNS in class UnImplNode

### getElementById

    public Element getElementById(java.lang.String elementId)

  Given an ID, return the element.
  Overrides:
    getElementById in class UnImplNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.